Subject: Re: [HOW] binutils-2.17 breaks the 2.6.26 kernel

From: Gabriel Paubert <[email-masked]>
Date: Thu, 17 Jul 2008 02:49:11 +0200

On Wed, Jul 16, 2008 at 08:38:14PM -0400, Jon Smirl wrote:
> On 7/16/08, Milton Miller <[email-masked]> wrote:
> > Hi.
> 
> Previous threads have mentioned that binutil-2.17 is broken for
> building powerpc kernels. It is fixed in binutils-2.18.
> 
> I have encountered this and upgrading to 2.18 fixed my build. The
> symptom is large kernel sizes and a long time in gzip. In my case it
> was gziping a 2GB file.

Only? Mine was over 3GB :-)

I've not yet had time to update the binutils (the machine has
a standard Debian Etch and I have trouble when adding Lenny
sources).

I also bisected it for fun and got 366234f6 as the culprit.

	Gabriel